aboutsummaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorjh1730 <jh1730@att.com>2017-03-21 18:17:03 -0500
committerjh1730 <jh1730@att.com>2017-03-21 18:29:27 -0500
commit17722e785cdf499afefb47b1aeec088e1496ddd9 (patch)
tree851a8b348a21abf8c4355241ec192592be7ccb6f /config
parent3311eb7ad47a17282e328588630e9a817f3d2b50 (diff)
support configurable brms.dependency.version
Change-Id: Iaf072563badb779c283683e1f69a639e678c5eca Signed-off-by: Jorge Hernandez <jh1730@att.com>
Diffstat (limited to 'config')
-rwxr-xr-xconfig/pe/brmsgw-tweaks.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/config/pe/brmsgw-tweaks.sh b/config/pe/brmsgw-tweaks.sh
index f6825363..350b9c70 100755
--- a/config/pe/brmsgw-tweaks.sh
+++ b/config/pe/brmsgw-tweaks.sh
@@ -1,2 +1,26 @@
#! /bin/bash
+PROPS_BUILD="${POLICY_HOME}/etc/build.info"
+
+PROPS_RUNTIME="${POLICY_HOME}/servers/brmsgw/config.properties"
+PROPS_INSTALL="${POLICY_HOME}/install/servers/brmsgw/config.properties"
+
+
+if [ ! -f "${PROPS_BUILD}" ]; then
+ echo "error: version information does not exist: ${PROPS_BUILD}"
+ exit 1
+fi
+
+source "${POLICY_HOME}/etc/build.info"
+
+for CONFIG in ${PROPS_RUNTIME} ${PROPS_INSTALL}; do
+ if [ ! -f "${CONFIG}" ]; then
+ echo "warning: configuration does not exist: ${CONFIG}"
+ else
+ if [ -n "${version}" ]; then
+ /bin/sed -i -e "s/brms.dependency.version=.*/brms.dependency.version=${version}/g" "${CONFIG}"
+ else
+ echo "error: no version information present"
+ fi
+ fi
+done